﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.SessionState;
using Routing.WebForms;
using System.Web.Routing;

namespace Routing
{
    public class Global : System.Web.HttpApplication
    {
        public static void RegisterRoutes(RouteCollection routes)
        {
            routes.Add(new Route("main.html", new WebFormRouteHandler("~/Default.aspx")));
            routes.Add(
                new Route(
                    "item/{id}",
                    new RouteValueDictionary(new { id = 0 }),
                    new WebFormRouteHandler("~/ItemDetail.aspx")));
        }

        protected void Application_Start(object sender, EventArgs e)
        {
            RegisterRoutes(RouteTable.Routes);
        }
    }
}