﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace Abstractions.Mvp
{
    public class DisplayUserPresenter : PresenterBase<IDisplayUserView>
    {
        public DisplayUserPresenter(IDisplayUserView view)
            : base(view) { }

        public override void OnLoad()
        {
            this.View.UserToDisplay = new User
            {
                UserName = this.View.Context.Request.Form["UserName"],
                Password = this.View.Context.Request.Form["Password"]
            };
        }
    }
}
